##################################
### VerboseMail.tcl            ###
### Version 1.1                ###
### By Wcc                     ###
### wcc@techmonkeys.org        ###
### http://www.dawgtcl.com:81/ ###
### EFnet #|DAWG|Tcl           ###
##################################

############################################################################
### Copyright  2000 - 2002 |DAWG| Scripting Group. All rights reserved. ###
############################################################################

################################################################################
## This script e-mails VERBOSE notices from ChanServ to a set e-mail address. ##
################################################################################

##########################################################
## Just load the script, edit the settings, and rehash. ##
##########################################################

#################################
# Set your e-mail address here. #
#################################

set verbosemail_setting(address) "wcc@techmonkeys.org"

##############################################################################
# Set the mail subject here. %date is the current date, %time is the current #
# time, %botnick is the bot's nick.                                          #
##############################################################################

set verbosemail_setting(subject) "\[%date %time\] VerboseMail" 

###################################
# Enable use of bold in dcc chat? #
###################################

set verbosemail_setting(bold) 1

###############################################
# Prefix "VERBOSEMAIL:" in dcc chat messages? #
###############################################

set verbosemail_setting(VERBOSEMAIL:) 1

####################
# Code begins here #
####################

if {![string match 1.6.* $version]} { putlog "\002VERBOSEMAIL:\002 \002WARNING:\002 This script is intended to run on eggdrop 1.6.x or later." }
if {[info tclversion] < 8.2} { putlog "\002VERBOSEMAIL:\002 \002WARNING:\002 This script is intended to run on Tcl Version 8.2 or later." }

bind notc - "*\[VERBOSE\]*" verbosemail_mail

proc verbosemail_dopre {} {
	if {!$::verbosemail_setting(VERBOSEMAIL:)} { return "" }
	if {!$::verbosemail_setting(bold)} { return "VERBOSEMAIL: " }
	return "\002VERBOSEMAIL:\002 "
}
proc verbosemail_mail {nick uhost hand text dest} {
	if {[string compare [string tolower $nick] chanserv] != 0} { return }
	if {[catch {exec which mail}]} { putlog "[verbosemail_dopre]Error: This system does not support 'mail'." ; return }
	if {[catch {open verbosemail.temp w} mail]} { putlog "[verbosemail_dopre]Error: Could not open verbosemail.temp." ; return }
	puts $mail $text ; close $mail
	regsub -all -- "%botnick" $::verbosemail_setting(subject) $::botnick subject
	regsub -all -- "%date" $subject [clock format [clock seconds] -format "%D"] subject
	regsub -all -- "%time" $subject [clock format [clock seconds] -format "%I:%M %p"] subject
	if {[catch {exec mail $::verbosemail_setting(address) -s $subject < verbosemail.temp} error]} { putlog "[verbosemail_dopre]Error: $error" }
	if {[catch {file delete -force verbosemail.temp}]} { putlog "[verbosemail_dopre]Error: Could not delete verbosemail.temp." }
}

putlog "\002VERBOSEMAIL:\002 VerboseMail.tcl Version 1.1 by Wcc is loaded."
